<template>
  <div>
    <el-tabs v-model="activeName">
      <el-tab-pane label="指标统计" name="first">
        <el-table :data="tableData" :lock-scroll="true" class="scroll">
          <el-table-column type="index" label="序号"></el-table-column>
          <el-table-column prop="date" label="单位名称"></el-table-column>
          <el-table-column prop="province" label="工业取水量(m3)"></el-table-column>
          <el-table-column prop="province" label="外排废水量(m3)"></el-table-column>
          <el-table-column prop="province" label="工业废气排放量(m3)"></el-table-column>
          <el-table-column label="COD(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
          <el-table-column label="氨氮(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
          <el-table-column label="二氧化硫(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
          <el-table-column label="氮氧化物(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
          <el-table-column label="VOCs(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
          <el-table-column label="固废(t)">
            <el-table-column prop="province" label="累计产生量"></el-table-column>
            <el-table-column prop="city" label="当月产生量"></el-table-column>
          </el-table-column>
        </el-table>
      </el-tab-pane>
      <el-tab-pane label="企业排名" name="second">
        <el-table :data="tableData">
          <el-table-column type="index" label="序号"></el-table-column>
          <el-table-column prop="date" label="企业名称"></el-table-column>
          <el-table-column prop="name" label="废水达标率"></el-table-column>
          <el-table-column prop="province" label="名次"></el-table-column>
          <el-table-column prop="city" label="废气达标率"></el-table-column>
          <el-table-column prop="address" label="名次"></el-table-column>
          <el-table-column prop="zip" label="传输率"></el-table-column>
          <el-table-column prop="zip" label="名次"></el-table-column>
          <el-table-column prop="zip" label="设备完好率"></el-table-column>
          <el-table-column prop="zip" label="排名"></el-table-column>
        </el-table>
      </el-tab-pane>
      <el-tab-pane label="排放点排名" name="third">
        <el-table :data="tableData">
          <el-table-column type="index" label="序号"></el-table-column>
          <el-table-column prop="date" label="排放点名称"></el-table-column>
          <el-table-column prop="name" label="排放类型"></el-table-column>
          <el-table-column prop="province" label="达标率"></el-table-column>
          <el-table-column prop="city" label="名次"></el-table-column>
          <el-table-column prop="address" label="传输率"></el-table-column>
          <el-table-column prop="zip" label="名次"></el-table-column>
          <el-table-column prop="zip" label="设备完好率"></el-table-column>
          <el-table-column prop="zip" label="名次"></el-table-column>
        </el-table>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>

export default {
  name: 'IndexStatistics',
  data () {
    return {
      titleProp: '',
      activeName: 'first',
      tableData: [{
        date: '集团公司',
        name: '35',
        province: '23',
        city: '11',
        address: 235,
        zip: 23
      }, {
        date: '天津石化',
        name: 32,
        province: 33,
        city: 44,
        address: 53,
        zip: 200333
      }, {
        date: '济南炼化',
        name: 35,
        province: 13,
        city: 33,
        address: 44,
        zip: 200333
      }]
    }
  },
  methods: {
    refsDatatitle (item) {
      this.titleProp = item
    }
  }
}
</script>
